﻿@using System.Web.UI.WebControls;
@using Portal.Models.Globals;
@using Portal.Models.PackingIndicatorMaster;

<div class="popupe">
    <table class="tapopupe">
        <tr>
            <td class="cola">
                @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "*Material Number";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
            </td>
            <td class="cole">
                @Html.Common().DevExpress().GridLookup(
                    gridLookup => {
                        gridLookup.Name = "AddEditMaterialNo";
                        gridLookup.Width = 170;
                        gridLookup.GridProperties.KeyFieldName = "MAT_NO";
                        gridLookup.GridProperties.CallbackRouteValues = new { Controller = "PackingIndicatorMaster", Action = "LookUpMaterial" };
                        gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                        gridLookup.GridProperties.Style.Add("border-color", "red");
                        gridLookup.GridProperties.Columns.Add(column =>
                        {
                            column.Name = "MAT_NO";
                            column.FieldName = "MAT_NO";
                            column.Caption = "Material No";
                            column.Width = Unit.Pixel(150);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        });
                        gridLookup.GridProperties.Columns.Add(column =>
                        {
                            column.Name = "MAT_DESC";
                            column.FieldName = "MAT_DESC";
                            column.Caption = "Material<br />Description";
                            column.Width = Unit.Pixel(300);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        });
                        
                        gridLookup.ButtonClick = "OnLookUpClick";
                    }).Bind(ViewData["lookUPmaterial"]).GetHtml()
                </td>
        </tr>
        <tr>
            <td class="cola">
                @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "*Source Type";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                    edtSettings.Style.Add("border-color", "red");
                }).GetHtml()
            </td>
            <td class="cole">
                @Html.DevExpress().ComboBox(
                sou =>
                {
                    sou.Name = "AddNewSourceType";
                    sou.Properties.ClientInstanceName = sou.Name;
                    sou.Width = 200;
                    sou.Properties.TextField = "Text";
                    sou.Properties.ValueField = "Val";
                    sou.Properties.Columns.Add("Val", "Code", Unit.Percentage(20));
                    sou.Properties.Columns.Add("Text", "Name");                    
                    sou.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                    sou.Properties.DropDownStyle = DropDownStyle.DropDownList;
                    sou.Properties.EnableClientSideAPI = true;
                    
                    sou.Properties.ReadOnlyStyle.BackColor = System.Drawing.Color.LightGray;
                    sou.Style.Add("border-color", "red");
                }).BindList(ViewData["SourceTypeCmb"]).GetHtml()
            </td>
        </tr>
        <tr>
            <td class="cola">
                @Html.DevExpress().Label(
                le =>
                {
                    le.ControlStyle.CssClass = "label";
                    le.Text = "*Production Purpose";
                    le.ControlStyle.Wrap = DefaultBoolean.False;
                    le.Style.Add("border-color", "red");
                }).GetHtml()
            </td>
            <td class="cole">
                @Html.DevExpress().ComboBox(
                ppu =>
                {
                    ppu.Name = "AddNewProdPurpose";
                    ppu.Width = 200;
                    ppu.Properties.TextField = "Text";
                    ppu.Properties.ValueField = "Val";
                    ppu.Properties.Columns.Add("Val", "Code", Unit.Percentage(20));
                    ppu.Properties.Columns.Add("Text", "Name");
                    ppu.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                    ppu.Properties.DropDownStyle = DropDownStyle.DropDownList;
                    ppu.Style.Add("border-color", "red");
                    ppu.Properties.EnableClientSideAPI = true;
                    ppu.Properties.ReadOnlyStyle.BackColor = System.Drawing.Color.LightGray;
                }).BindList(ViewData["ProdPurposeCmb"]).GetHtml()
            </td>
        </tr>
        <tr>
            <td class="cola">
                @Html.DevExpress().Label(
                la =>
                { 
                    la.ControlStyle.CssClass = "label";
                    la.Text = "*Part Color Suffix";
                    la.ControlStyle.Wrap = DefaultBoolean.False;
                    la.Style.Add("border-color", "red");
                }).GetHtml()
            </td>
            <td class="cole">
                @Html.DevExpress().TextBox(
                tePCsfx =>
                {
                    tePCsfx.Name = "AddNewPartColorSuffix";
                    tePCsfx.Style.Add("border-color", "red");
                    tePCsfx.Width = 200;
                    tePCsfx.Properties.MaxLength = 2;
                    tePCsfx.Properties.EnableClientSideAPI = true;
                    tePCsfx.Properties.ReadOnlyStyle.BackColor = System.Drawing.Color.LightGray;
                }).GetHtml()
            </td>
        </tr>
        <tr>
            <td class="cola">
                @Html.DevExpress().Label(
                la =>
                {
                    la.ControlStyle.CssClass = "label";
                    la.Text = "*Dock Code";
                    la.ControlStyle.Wrap = DefaultBoolean.False;
                    la.Style.Add("border-color", "red");
                }).GetHtml()
            </td>
            <td class="cole">
                @Html.DevExpress().ComboBox(
                dok =>
                {
                    dok.Name = "AddNewDockCd";
                    dok.Width = Unit.Pixel(240);
                    dok.Properties.TextField = "DockName";
                    dok.Properties.ValueField = "DockCode";
                    dok.Properties.Columns.Add("DockCode", "Code", Unit.Percentage(20));
                    dok.Properties.Columns.Add("DockName", "Name");
                    dok.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                    dok.Properties.DropDownStyle = DropDownStyle.DropDownList;
                    dok.Style.Add("border-color", "red");
                    dok.Properties.EnableClientSideAPI = true;
                    dok.Properties.ReadOnlyStyle.BackColor = System.Drawing.Color.LightGray;
                }).BindList(ViewData["DockCodeCmb"]).GetHtml()
            </td>
        </tr>
        <tr>
            <td class="cola">
                @Html.DevExpress().Label(
                la =>
                {
                    la.ControlStyle.CssClass = "label";
                    la.Text = "*Packing Type";
                    la.ControlStyle.Wrap = DefaultBoolean.False;
                    la.Style.Add("border-color", "red");
                }).GetHtml()
            </td>
            <td class="cole">
                @Html.DevExpress().ComboBox(
                pak =>
                {
                    pak.Name = "AddNewPackingType";
                    pak.Width = Unit.Pixel(200);
                    pak.Properties.TextField = "Text";
                    pak.Properties.ValueField = "Val";
                    pak.Properties.Columns.Add("Val", "Code", Unit.Percentage(20));
                    pak.Properties.Columns.Add("Text", "Name");                    
                    pak.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                    pak.Properties.DropDownStyle = DropDownStyle.DropDownList;
                    pak.Style.Add("border-color", "red");
                    pak.Properties.EnableClientSideAPI = true;
                    pak.Properties.ReadOnlyStyle.BackColor = System.Drawing.Color.LightGray;
                }).BindList(ViewData["PackingTypeCmb"]).GetHtml()
            </td>
        </tr>
        <tr>
            <td class="cola">
                @Html.DevExpress().Label(
                la =>
                {
                    la.ControlStyle.CssClass = "label";
                    la.Text = "*Valid From";
                    la.ControlStyle.Wrap = DefaultBoolean.False;
                    la.Style.Add("border-color", "red");
                }).GetHtml()
            </td>
            <td class="cole">
                @Html.DevExpress().DateEdit(
                vfr =>
                {
                    vfr.Name = "AddNewValidFrom";
                    vfr.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    vfr.Properties.EditFormat = EditFormat.Custom;
                    vfr.Properties.DisplayFormatString = "dd.MM.yyyy";
                    vfr.Properties.EditFormatString = "dd.MM.yyyy";
                    vfr.Width = Unit.Pixel(100);
                    vfr.Style.Add("border-color", "red");
                    vfr.Properties.DropDownButton.Image.Url = "Content/images/cal.png";
                    vfr.Properties.EnableClientSideAPI = true;
                    vfr.Properties.ReadOnlyStyle.BackColor = System.Drawing.Color.LightGray;
                }).GetHtml()
            </td>
        </tr>
        <tr>
            <td class="cola">
                @Html.DevExpress().Label(
                la =>
                {
                    la.ControlStyle.CssClass = "label";
                    la.Text = "Valid To";
                    la.Style.Add("border-color", "red");
                    la.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
            </td>
            <td class="cole">
                @Html.DevExpress().DateEdit(
                vto =>
                {
                    vto.Name = "AddNewValidTo";
                    vto.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    vto.Properties.EditFormat = EditFormat.Custom;
                    vto.Properties.DisplayFormatString = "dd.MM.yyyy";
                    vto.Properties.EditFormatString = "dd.MM.yyyy";
                    vto.Style.Add("border-color", "red");
                    vto.Properties.DropDownButton.Image.Url = "Content/images/cal.png";
                    vto.Width = Unit.Pixel(100);
                    vto.ClientEnabled = false;
                    vto.ReadOnly = true;
                    vto.Properties.ReadOnlyStyle.BackColor = System.Drawing.Color.LightGray;
                    vto.Properties.EnableClientSideAPI = true; 
                }).GetHtml()
            </td>
        </tr>
    </table>

<div class="tabu">
    
        <div class="cobu">
            @Html.DevExpress().Button(
                bu =>
                {
                    bu.Name = "Btnsave";
                    bu.Text = "Save";
                    bu.Width = Unit.Pixel(80);
                    bu.ClientSideEvents.Click = "onClickBtnSave";                    
                }
            ).GetHtml()
        </div><div class="cobu">
            @Html.DevExpress().Button(
                buc =>
                {
                    buc.Name = "Btncancel";
                    buc.Text = "Cancel";
                    buc.Width = Unit.Pixel(80);
                    buc.ClientSideEvents.Click = "onClickBtnCancel";                    
                }
            ).GetHtml()
        </div>     
        
        <div class="cofill">        
            
            @Html.DevExpress().Button(
                clo =>
                {
                    clo.Name = "Btnclose";
                    clo.Text = "Close";
                    clo.Width = Unit.Pixel(80);
                    clo.ClientSideEvents.Click = "onClickBtnClose";                    
                }
             ).GetHtml()
            
            </div>
    </div>        

</div>


